> ## Documentation Index
> Fetch the complete documentation index at: https://www.offlineprotocol.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get All Connections

> Retrieves user's connections.



## OpenAPI

````yaml get /connections/{username}
openapi: 3.1.0
info:
  title: Offline Protocol API
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.offlineprotocol.com/api/v1
security: []
paths:
  /connections/{username}:
    get:
      summary: Get All Connections
      description: Retrieves user's connections.
      parameters:
        - name: username
          in: path
          required: true
          schema:
            type: string
          description: The username whose connections to retrieve
        - name: page
          in: query
          schema:
            type: integer
          example: 1
        - name: limit
          in: query
          schema:
            type: integer
          example: 10
        - name: reverse
          in: query
          schema:
            type: boolean
          example: false
      responses:
        '200':
          description: Connections retrieved
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      connections:
                        type: array
                        items:
                          type: object
                          properties:
                            id:
                              type: string
                              format: uuid
                              example: 163cb292-1430-4247-9fd2-3f28658a365b
                            peer:
                              type: string
                              example: goodie
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````